<!DOCTYPE html>
<html lang="en">
<head>
  <meta charset="UTF-8">
  <title>Confirm Modal</title>
  <style>
    .dialog-open-button {
      display: inline-block;
      font-weight: 400;
      text-align: center;
      white-space: nowrap;
      vertical-align: middle;
      -webkit-user-select: none;
      -moz-user-select: none;
      -ms-user-select: none;
      user-select: none;
      border: 1px solid transparent;
      padding: 0.375rem 0.75rem;
      font-size: 1rem;
      line-height: 1.5;
      border-radius: 0.25rem;
      cursor: pointer;
    }
  </style>
  <script src="dialog1.js"></script>
  <script src="dialog2.js"></script>
  <script>
    function onResultCallback(result) {
      document.getElementById('dialog-result').innerText = 'You just clicked "' + (result ? 'Yes' : 'Cancel') + '"';
    }

    async function openDialogConfirm() {
      const dialog = new ConfirmDialog2('Are you sure you want to delete this user ?');
      try {
        const confirmResponse = await dialog.confirm();
        if (confirmResponse === null) {
          document.getElementById('dialog-result2').innerText = '';
          return;
        }
        document.getElementById('dialog-result2').innerText = 'You just clicked "' + (confirmResponse ? 'Yes' : 'Cancel') + '"';
      } catch (err) {
        console.error('Error occurs in dialog confirmation', err);
      }
    }

    async function openDialogConfirm2() {
      const dialog = new ConfirmDialog2();
      try {
        const confirmResponse = await dialog.confirm();
        if (confirmResponse === null) {
          document.getElementById('dialog-result2').innerText = '';
          return;
        }
        document.getElementById('dialog-result2').innerText = 'You just clicked "' + (confirmResponse ? 'Yes' : 'Cancel') + '"';
      } catch (err) {
        console.error('Error occurs in dialog confirmation', err);
      }
    }
  </script>
</head>
<body>
<h2>First dialog implementation (dialog1.js)</h2>
<confirm-dialog data-message="It's dangerous! Really sure ?" data-result="onResultCallback"></confirm-dialog>
<confirm-dialog data-result="onResultCallback"></confirm-dialog>
<br><br><br>
<span id="dialog-result"></span>
<h2>Second dialog implementation (dialog2.js)</h2>
<button onclick="openDialogConfirm()" class="dialog-open-button">Click Me</button>
<button onclick="openDialogConfirm2()" class="dialog-open-button">Click Me</button>
<br><br><br>
<span id="dialog-result2"></span>
</body>
</html>
